> ## Documentation Index
> Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add environment variables

> Add environment variables to an environment.



## OpenAPI

````yaml https://cloud.laravel.com/api-docs/api.json post /environments/{environment}/variables
openapi: 3.1.0
info:
  title: Laravel Cloud
  version: 0.0.1
servers:
  - url: https://cloud.laravel.com/api
security:
  - http: []
tags:
  - name: Applications
  - name: Environments
  - name: Domains
  - name: Commands
  - name: Deployments
  - name: Instances
  - name: Background Processes
  - name: Database Clusters
  - name: Databases
  - name: Database Snapshots
  - name: Database Restores
  - name: Object Storage Buckets
  - name: Bucket Keys
  - name: Caches
  - name: WebSocket Clusters
  - name: WebSocket Applications
  - name: Dedicated Clusters
  - name: Usage
  - name: Meta
  - name: Databases (Legacy)
paths:
  /environments/{environment}/variables:
    post:
      tags:
        - Environments
      summary: Add environment variables
      description: Add environment variables to an environment.
      operationId: public.environments.variables.store
      parameters:
        - name: environment
          in: path
          required: true
          description: The environment identifier
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreEnvironmentVariablesRequest'
      responses:
        '200':
          description: '`EnvironmentResource`'
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/EnvironmentResource'
                  included:
                    type: array
                    items:
                      anyOf:
                        - $ref: '#/components/schemas/ApplicationResource'
                        - $ref: '#/components/schemas/BranchResource'
                        - $ref: '#/components/schemas/DeploymentResource'
                        - $ref: '#/components/schemas/DomainResource'
                        - $ref: '#/components/schemas/InstanceResource'
                        - $ref: '#/components/schemas/DatabaseSchemaResource'
                        - $ref: '#/components/schemas/CacheResource'
                        - $ref: '#/components/schemas/FilesystemResource'
                        - $ref: '#/components/schemas/WebsocketApplicationResource'
                required:
                  - data
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreEnvironmentVariablesRequest:
      type: object
      properties:
        method:
          $ref: '#/components/schemas/EnvironmentVariablesInsertMethod'
          description: >-
            When set to 'append', variables are added to the end without
            checking for duplicates.

            When set to 'set', variables with matching keys are updated;
            otherwise they are added.
        variables:
          type: array
          items:
            type: object
            properties:
              key:
                type: string
                pattern: ^[a-zA-Z_][a-zA-Z0-9_]*$
              value:
                type: string
            required:
              - key
              - value
          minItems: 1
          maxItems: 200
      required:
        - method
        - variables
      title: StoreEnvironmentVariablesRequest
    EnvironmentResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - environments
        attributes:
          type: object
          properties:
            name:
              type: string
            slug:
              type: string
            status:
              $ref: '#/components/schemas/EnvironmentStatus'
            created_from_automation:
              type: boolean
            vanity_domain:
              type: string
            php_major_version:
              type: string
              enum:
                - '8.2'
                - '8.3'
                - '8.4'
                - '8.5'
            build_command:
              type:
                - string
                - 'null'
            node_version:
              $ref: '#/components/schemas/NodeVersion'
            deploy_command:
              type:
                - string
                - 'null'
            uses_octane:
              type: boolean
            uses_hibernation:
              type: boolean
            hibernation_wake_up_interval:
              type:
                - integer
                - 'null'
            uses_push_to_deploy:
              type: boolean
            uses_deploy_hook:
              type: boolean
            environment_variables:
              type: array
              items:
                type: object
                properties:
                  key:
                    type: string
                  value:
                    type: string
                required:
                  - key
                  - value
            network_settings:
              type: object
              properties:
                cache:
                  type: object
                  properties:
                    strategy:
                      type: string
                  required:
                    - strategy
                response_headers:
                  type: object
                  properties:
                    frame:
                      type: string
                    content_type:
                      type: string
                    hsts:
                      type: object
                      properties:
                        max_age:
                          type: integer
                        include_subdomains:
                          type: boolean
                        preload:
                          type: boolean
                      required:
                        - max_age
                        - include_subdomains
                        - preload
                  required:
                    - frame
                    - content_type
                    - hsts
                firewall:
                  type: object
                  properties:
                    bot_categories:
                      type: array
                      items:
                        $ref: '#/components/schemas/BotControlCategory'
                    rate_limit:
                      type: object
                      properties:
                        '429':
                          type: boolean
                        level:
                          $ref: '#/components/schemas/RateLimitLevel'
                        per_minute:
                          $ref: '#/components/schemas/RateLimitPerMinute'
                        4xx:
                          type: boolean
                      required:
                        - level
                        - per_minute
                        - 4xx
                        - '429'
                    under_attack_mode_started_at:
                      type: string
                    block_path:
                      type: boolean
                  required:
                    - bot_categories
                    - rate_limit
                    - under_attack_mode_started_at
                    - block_path
                content_converter:
                  type: boolean
              required:
                - cache
                - response_headers
                - firewall
                - content_converter
            created_at:
              type:
                - string
                - 'null'
              format: date-time
          required:
            - name
            - slug
            - status
            - created_from_automation
            - vanity_domain
            - php_major_version
            - build_command
            - node_version
            - deploy_command
            - uses_octane
            - uses_hibernation
            - hibernation_wake_up_interval
            - uses_push_to_deploy
            - uses_deploy_hook
            - environment_variables
            - network_settings
            - created_at
        relationships:
          type: object
          properties:
            application:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/ApplicationResourceIdentifier'
                    - type: 'null'
              required:
                - data
            branch:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/BranchResourceIdentifier'
                    - type: 'null'
              required:
                - data
            deployments:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/DeploymentResourceIdentifier'
              required:
                - data
            currentDeployment:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/DeploymentResourceIdentifier'
                    - type: 'null'
              required:
                - data
            domains:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/DomainResourceIdentifier'
              required:
                - data
            primaryDomain:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/DomainResourceIdentifier'
                    - type: 'null'
              required:
                - data
            instances:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/InstanceResourceIdentifier'
              required:
                - data
            database:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/DatabaseSchemaResourceIdentifier'
                    - type: 'null'
              required:
                - data
            cache:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/CacheResourceIdentifier'
                    - type: 'null'
              required:
                - data
            buckets:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/FilesystemResourceIdentifier'
              required:
                - data
            websocketApplication:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: >-
                        #/components/schemas/WebsocketApplicationResourceIdentifier
                    - type: 'null'
              required:
                - data
        links:
          type: object
          properties:
            self:
              $ref: '#/components/schemas/Link'
          required:
            - self
      required:
        - id
        - type
        - links
      title: EnvironmentResource
    ApplicationResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - applications
        attributes:
          type: object
          properties:
            name:
              type: string
            slug:
              type: string
            region:
              $ref: '#/components/schemas/CloudRegion'
            slack_channel:
              type:
                - string
                - 'null'
            avatar_url:
              type: string
            created_at:
              type:
                - string
                - 'null'
              format: date-time
            repository:
              type:
                - object
                - 'null'
              properties:
                full_name:
                  type: string
                default_branch:
                  type: string
              required:
                - full_name
                - default_branch
          required:
            - name
            - slug
            - region
            - slack_channel
            - avatar_url
            - created_at
            - repository
        relationships:
          type: object
          properties:
            repository:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/RepositoryResourceIdentifier'
                    - type: 'null'
              required:
                - data
            organization:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/OrganizationResourceIdentifier'
                    - type: 'null'
              required:
                - data
            environments:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/EnvironmentResourceIdentifier'
              required:
                - data
            deployments:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/DeploymentResourceIdentifier'
              required:
                - data
            defaultEnvironment:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/EnvironmentResourceIdentifier'
                    - type: 'null'
              required:
                - data
      required:
        - id
        - type
      title: ApplicationResource
    BranchResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - branches
        attributes:
          type: object
          properties:
            name:
              type: string
          required:
            - name
        relationships:
          type: object
          properties:
            repository:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/RepositoryResourceIdentifier'
                    - type: 'null'
              required:
                - data
      required:
        - id
        - type
      title: BranchResource
    DeploymentResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - deployments
        attributes:
          type: object
          properties:
            status:
              $ref: '#/components/schemas/DeploymentStatus'
            branch_name:
              type: string
            commit_hash:
              type: string
            commit_message:
              type: string
            commit_author:
              type:
                - string
                - 'null'
            failure_reason:
              type:
                - string
                - 'null'
            php_major_version:
              type: string
              enum:
                - '8.2'
                - '8.3'
                - '8.4'
                - '8.5'
            build_command:
              type:
                - string
                - 'null'
            node_version:
              $ref: '#/components/schemas/NodeVersion'
            uses_octane:
              type: boolean
            uses_hibernation:
              type: boolean
            hibernation_wake_up_interval:
              type:
                - integer
                - 'null'
            started_at:
              type:
                - string
                - 'null'
              format: date-time
            finished_at:
              type:
                - string
                - 'null'
              format: date-time
          required:
            - status
            - branch_name
            - commit_hash
            - commit_message
            - commit_author
            - failure_reason
            - php_major_version
            - build_command
            - node_version
            - uses_octane
            - uses_hibernation
            - hibernation_wake_up_interval
            - started_at
            - finished_at
        relationships:
          type: object
          properties:
            environment:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/EnvironmentResourceIdentifier'
                    - type: 'null'
              required:
                - data
            initiator:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/UserResourceIdentifier'
                    - type: 'null'
              required:
                - data
        links:
          type: object
          properties:
            self:
              $ref: '#/components/schemas/Link'
          required:
            - self
      required:
        - id
        - type
        - links
      title: DeploymentResource
    DomainResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - domains
        attributes:
          type: object
          properties:
            name:
              type: string
            type:
              $ref: '#/components/schemas/DomainType'
            hostname_status:
              $ref: '#/components/schemas/DomainStatus'
            ssl_status:
              $ref: '#/components/schemas/DomainStatus'
            origin_status:
              $ref: '#/components/schemas/DomainStatus'
            redirect:
              anyOf:
                - $ref: '#/components/schemas/DomainRedirect'
                - type: 'null'
            cloudflare_strategy:
              anyOf:
                - $ref: '#/components/schemas/DomainCloudflareStrategy'
                - type: 'null'
            downtime:
              type:
                - boolean
                - 'null'
            wildcard_enabled:
              type: boolean
            dns_records:
              type: object
              properties:
                ssl:
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - CNAME
                          - TXT
                      name:
                        type:
                          - string
                          - 'null'
                      value:
                        type:
                          - string
                          - 'null'
                    required:
                      - type
                      - name
                      - value
                pre_verification:
                  type: string
                origin:
                  type: string
                origin_cname:
                  type: string
                dcv:
                  type: string
              required:
                - ssl
                - pre_verification
                - origin
                - origin_cname
                - dcv
            wildcard:
              type:
                - object
                - 'null'
              properties:
                hostname_status:
                  $ref: '#/components/schemas/DomainStatus'
                ssl_status:
                  $ref: '#/components/schemas/DomainStatus'
                origin_status:
                  $ref: '#/components/schemas/DomainStatus'
                dns_records:
                  type: object
                  properties:
                    ssl:
                      type: array
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - CNAME
                              - TXT
                          name:
                            type:
                              - string
                              - 'null'
                          value:
                            type:
                              - string
                              - 'null'
                        required:
                          - type
                          - name
                          - value
                    pre_verification:
                      type: string
                    origin:
                      type: string
                    origin_cname:
                      type: string
                    dcv:
                      type: string
                  required:
                    - ssl
                    - pre_verification
                    - origin
                    - origin_cname
                    - dcv
              required:
                - hostname_status
                - ssl_status
                - origin_status
                - dns_records
            www:
              type:
                - object
                - 'null'
              properties:
                hostname_status:
                  $ref: '#/components/schemas/DomainStatus'
                ssl_status:
                  $ref: '#/components/schemas/DomainStatus'
                origin_status:
                  $ref: '#/components/schemas/DomainStatus'
                dns_records:
                  type: object
                  properties:
                    ssl:
                      type: array
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - CNAME
                              - TXT
                          name:
                            type:
                              - string
                              - 'null'
                          value:
                            type:
                              - string
                              - 'null'
                        required:
                          - type
                          - name
                          - value
                    pre_verification:
                      type: string
                    origin:
                      type: string
                    origin_cname:
                      type: string
                    dcv:
                      type: string
                  required:
                    - ssl
                    - pre_verification
                    - origin
                    - origin_cname
                    - dcv
              required:
                - hostname_status
                - ssl_status
                - origin_status
                - dns_records
            action_required:
              anyOf:
                - $ref: '#/components/schemas/DomainActionRequired'
                - type: 'null'
            last_verified_at:
              type:
                - string
                - 'null'
              format: date-time
            created_at:
              type:
                - string
                - 'null'
              format: date-time
          required:
            - name
            - type
            - hostname_status
            - ssl_status
            - origin_status
            - redirect
            - cloudflare_strategy
            - downtime
            - wildcard_enabled
            - dns_records
            - wildcard
            - www
            - action_required
            - last_verified_at
            - created_at
        relationships:
          type: object
          properties:
            environment:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/EnvironmentResourceIdentifier'
                    - type: 'null'
              required:
                - data
        links:
          type: object
          properties:
            self:
              $ref: '#/components/schemas/Link'
          required:
            - self
      required:
        - id
        - type
        - links
      title: DomainResource
    InstanceResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - instances
        attributes:
          type: object
          properties:
            name:
              type: string
            type:
              $ref: '#/components/schemas/InstanceType'
            size:
              $ref: '#/components/schemas/InstanceSize'
            scaling_type:
              $ref: '#/components/schemas/InstanceScalingType'
            min_replicas:
              type: integer
            max_replicas:
              type: integer
            queue_status:
              anyOf:
                - $ref: '#/components/schemas/SqsQueueStatus'
                  description: >-
                    Current lifecycle status of the managed queue. Null for
                    non-queue instances.
                - type: 'null'
            paused:
              type:
                - boolean
                - 'null'
              description: >-
                Whether the managed queue is currently paused. Null for
                non-queue instances.
            is_default:
              type:
                - boolean
                - 'null'
              description: >-
                Whether this is the environment's default managed queue. Null
                for non-queue instances.
            visibility_timeout:
              type:
                - integer
                - 'null'
              description: >-
                How long, in seconds (0–43200), a received job stays hidden from
                other workers before it becomes available again. Null for
                non-queue instances.
            polling_interval:
              type:
                - integer
                - 'null'
              description: >-
                How often, in seconds (1–60), the queue is polled for new jobs.
                Null for non-queue instances.
            shutdown_timeout:
              type:
                - integer
                - 'null'
            uses_scheduler:
              type: boolean
            sleep_with_app:
              type:
                - boolean
                - 'null'
            scaling_cpu_threshold_percentage:
              type:
                - integer
                - 'null'
            scaling_memory_threshold_percentage:
              type:
                - integer
                - 'null'
            created_at:
              type:
                - string
                - 'null'
              format: date-time
          required:
            - name
            - type
            - size
            - scaling_type
            - min_replicas
            - max_replicas
            - queue_status
            - paused
            - is_default
            - visibility_timeout
            - polling_interval
            - shutdown_timeout
            - uses_scheduler
            - sleep_with_app
            - scaling_cpu_threshold_percentage
            - scaling_memory_threshold_percentage
            - created_at
        relationships:
          type: object
          properties:
            environment:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/EnvironmentResourceIdentifier'
                    - type: 'null'
              required:
                - data
            backgroundProcesses:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/BackgroundProcessResourceIdentifier'
              required:
                - data
      required:
        - id
        - type
      title: InstanceResource
    DatabaseSchemaResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - databaseSchemas
        attributes:
          type: object
          properties:
            name:
              type: string
            status:
              type: string
            created_at:
              type:
                - string
                - 'null'
              format: date-time
          required:
            - name
            - status
            - created_at
        relationships:
          type: object
          properties:
            database:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/DatabaseResourceIdentifier'
                    - type: 'null'
              required:
                - data
            environments:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/EnvironmentResourceIdentifier'
              required:
                - data
      required:
        - id
        - type
      title: DatabaseSchemaResource
    CacheResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - caches
        attributes:
          type: object
          properties:
            name:
              type: string
            type:
              $ref: '#/components/schemas/CacheType'
            status:
              $ref: '#/components/schemas/CacheStatus'
            region:
              $ref: '#/components/schemas/CloudRegion'
            size:
              $ref: '#/components/schemas/CacheSize'
            auto_upgrade_enabled:
              type: boolean
            is_public:
              type: boolean
            uses_hibernation:
              type: boolean
            hibernation_timeout:
              type:
                - integer
                - 'null'
            created_at:
              type:
                - string
                - 'null'
              format: date-time
            connection:
              type: object
              properties:
                hostname:
                  type:
                    - string
                    - 'null'
                port:
                  type:
                    - integer
                    - 'null'
                protocol:
                  type: string
                  enum:
                    - redis
                    - fake
                username:
                  type:
                    - string
                    - 'null'
                password:
                  type:
                    - string
                    - 'null'
              required:
                - hostname
                - port
                - protocol
                - username
                - password
          required:
            - name
            - type
            - status
            - region
            - size
            - auto_upgrade_enabled
            - is_public
            - uses_hibernation
            - hibernation_timeout
            - created_at
            - connection
        relationships:
          type: object
          properties:
            environments:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/EnvironmentResourceIdentifier'
              required:
                - data
      required:
        - id
        - type
      title: CacheResource
    FilesystemResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - filesystems
        attributes:
          type: object
          properties:
            name:
              type: string
            type:
              $ref: '#/components/schemas/FilesystemType'
            status:
              $ref: '#/components/schemas/FilesystemStatus'
            visibility:
              $ref: '#/components/schemas/FilesystemVisibility'
            jurisdiction:
              $ref: '#/components/schemas/FilesystemJurisdiction'
            endpoint:
              type:
                - string
                - 'null'
            url:
              type:
                - string
                - 'null'
            allowed_origins:
              type: string
            cors_settings:
              type: string
            created_at:
              type:
                - string
                - 'null'
              format: date-time
          required:
            - name
            - type
            - status
            - visibility
            - jurisdiction
            - endpoint
            - url
            - allowed_origins
            - cors_settings
            - created_at
        relationships:
          type: object
          properties:
            keys:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/FilesystemKeyResourceIdentifier'
              required:
                - data
      required:
        - id
        - type
      title: FilesystemResource
    WebsocketApplicationResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - websocketApplications
        attributes:
          type: object
          properties:
            name:
              type: string
            app_id:
              type: string
            allowed_origins:
              type: array
              items: {}
            ping_interval:
              type: integer
            activity_timeout:
              type: integer
            max_message_size:
              type: integer
            max_connections:
              type: integer
            key:
              type: string
            secret:
              type: string
            created_at:
              type:
                - string
                - 'null'
              format: date-time
          required:
            - name
            - app_id
            - allowed_origins
            - ping_interval
            - activity_timeout
            - max_message_size
            - max_connections
            - key
            - secret
            - created_at
        relationships:
          type: object
          properties:
            server:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/WebsocketServerResourceIdentifier'
                    - type: 'null'
              required:
                - data
      required:
        - id
        - type
      title: WebsocketApplicationResource
    EnvironmentVariablesInsertMethod:
      type: string
      enum:
        - append
        - set
      title: EnvironmentVariablesInsertMethod
    EnvironmentStatus:
      type: string
      enum:
        - deploying
        - running
        - hibernating
        - stopped
      title: EnvironmentStatus
    NodeVersion:
      type: string
      enum:
        - '20'
        - '22'
        - '24'
      title: NodeVersion
    BotControlCategory:
      type: string
      enum:
        - academic_research
        - accessibility
        - advertising_and_marketing
        - aggregator
        - ai_assistant
        - ai_crawler
        - ai_search
        - feed_fetcher
        - monitoring_and_analytics
        - page_preview
        - search_engine_crawler
        - search_engine_optimization
        - security
        - social_media_marketing
        - webhooks
        - other
      title: BotControlCategory
    RateLimitLevel:
      type: string
      enum:
        - challenge
        - throttle
        - ban
      title: RateLimitLevel
    RateLimitPerMinute:
      type: integer
      enum:
        - 100
        - 300
        - 500
        - 750
        - 1000
      title: RateLimitPerMinute
    ApplicationResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - applications
        id:
          type: string
      required:
        - type
        - id
      title: ApplicationResourceIdentifier
    BranchResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - branches
        id:
          type: string
      required:
        - type
        - id
      title: BranchResourceIdentifier
    DeploymentResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - deployments
        id:
          type: string
      required:
        - type
        - id
      title: DeploymentResourceIdentifier
    DomainResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - domains
        id:
          type: string
      required:
        - type
        - id
      title: DomainResourceIdentifier
    InstanceResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - instances
        id:
          type: string
      required:
        - type
        - id
      title: InstanceResourceIdentifier
    DatabaseSchemaResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - databaseSchemas
        id:
          type: string
      required:
        - type
        - id
      title: DatabaseSchemaResourceIdentifier
    CacheResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - caches
        id:
          type: string
      required:
        - type
        - id
      title: CacheResourceIdentifier
    FilesystemResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - filesystems
        id:
          type: string
      required:
        - type
        - id
      title: FilesystemResourceIdentifier
    WebsocketApplicationResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - websocketApplications
        id:
          type: string
      required:
        - type
        - id
      title: WebsocketApplicationResourceIdentifier
    Link:
      type: object
      properties:
        href:
          type: string
          format: uri
        rel:
          type: string
        describedby:
          type: string
        title:
          type: string
        type:
          type: string
        hreflang:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
        meta:
          type: object
      required:
        - href
      title: Link
    CloudRegion:
      type: string
      enum:
        - us-east-2
        - us-east-1
        - ca-central-1
        - eu-central-1
        - eu-west-1
        - eu-west-2
        - me-central-1
        - ap-southeast-1
        - ap-southeast-2
        - ap-northeast-1
      title: CloudRegion
    RepositoryResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - repositories
        id:
          type: string
      required:
        - type
        - id
      title: RepositoryResourceIdentifier
    OrganizationResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - organizations
        id:
          type: string
      required:
        - type
        - id
      title: OrganizationResourceIdentifier
    EnvironmentResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - environments
        id:
          type: string
      required:
        - type
        - id
      title: EnvironmentResourceIdentifier
    DeploymentStatus:
      type: string
      enum:
        - pending
        - build.pending
        - build.created
        - build.queued
        - build.running
        - build.succeeded
        - build.failed
        - cancelled
        - failed
        - deployment.pending
        - deployment.created
        - deployment.queued
        - deployment.running
        - deployment.succeeded
        - deployment.failed
      title: DeploymentStatus
    UserResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - users
        id:
          type: string
      required:
        - type
        - id
      title: UserResourceIdentifier
    DomainType:
      type: string
      enum:
        - root
        - www
        - wildcard
      title: DomainType
    DomainStatus:
      type: string
      enum:
        - pending
        - verified
        - failed
        - disabled
      title: DomainStatus
    DomainRedirect:
      type: string
      enum:
        - root_to_www
        - www_to_root
      title: DomainRedirect
    DomainCloudflareStrategy:
      type: string
      enum:
        - dns_proxy
        - dns
        - none
      title: DomainCloudflareStrategy
    DomainActionRequired:
      type: string
      enum:
        - add_txt_records
        - add_dns_records
        - failed
      title: DomainActionRequired
    InstanceType:
      type: string
      enum:
        - app
        - service
        - queue
        - managed_queue
      title: InstanceType
    InstanceSize:
      type: string
      enum:
        - flex-512mb
        - flex-1gb
        - flex-2gb
        - flex.c-1vcpu-256mb
        - flex.g-1vcpu-512mb
        - flex.m-1vcpu-1gb
        - flex.c-2vcpu-512mb
        - flex.g-2vcpu-1gb
        - flex.m-2vcpu-2gb
        - flex.c-4vcpu-1gb
        - flex.g-4vcpu-2gb
        - flex.m-4vcpu-4gb
        - flex.c-8vcpu-2gb
        - flex.g-8vcpu-4gb
        - flex.m-8vcpu-8gb
        - pro.c-1vcpu-1gb
        - pro.g-1vcpu-2gb
        - pro.m-1vcpu-4gb
        - pro.c-2vcpu-2gb
        - pro.g-2vcpu-4gb
        - pro.m-2vcpu-8gb
        - pro.c-4vcpu-4gb
        - pro.g-4vcpu-8gb
        - pro.m-4vcpu-16gb
        - pro.c-8vcpu-8gb
        - pro.g-8vcpu-16gb
        - pro.m-8vcpu-32gb
        - dedicated.c-1vcpu-2gb
        - dedicated.g-1vcpu-4gb
        - dedicated.m-1vcpu-8gb
        - dedicated.c-2vcpu-4gb
        - dedicated.g-2vcpu-8gb
        - dedicated.m-2vcpu-16gb
        - dedicated.c-4vcpu-8gb
        - dedicated.g-4vcpu-16gb
        - dedicated.m-4vcpu-32gb
        - dedicated.c-8vcpu-16gb
        - dedicated.g-8vcpu-32gb
        - dedicated.m-8vcpu-64gb
        - mq-pro-256mb
        - mq-pro-512mb
        - mq-pro-1gb
        - mq-pro-2gb
        - mq-pro-4gb
        - mq-pro-8gb
        - mq-dedicated-256mb
        - mq-dedicated-512mb
        - mq-dedicated-1gb
        - mq-dedicated-2gb
        - mq-dedicated-4gb
        - mq-dedicated-8gb
      title: InstanceSize
    InstanceScalingType:
      type: string
      enum:
        - none
        - custom
        - auto
      title: InstanceScalingType
    SqsQueueStatus:
      type: string
      enum:
        - creating
        - updating
        - available
        - deleting
        - deleted
        - unknown
      title: SqsQueueStatus
    BackgroundProcessResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - background_processes
        id:
          type: string
      required:
        - type
        - id
      title: BackgroundProcessResourceIdentifier
    DatabaseResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - databases
        id:
          type: string
      required:
        - type
        - id
      title: DatabaseResourceIdentifier
    CacheType:
      type: string
      enum:
        - upstash_redis
        - laravel_valkey
        - aws_elasticache_redis
        - aws_elasticache_valkey
      title: CacheType
    CacheStatus:
      type: string
      enum:
        - creating
        - updating
        - available
        - stopped
        - deleting
        - deleted
        - unknown
      title: CacheStatus
    CacheSize:
      type: string
      enum:
        - 250mb
        - 1gb
        - 2.5gb
        - 5gb
        - 12gb
        - 50gb
        - 100gb
        - 500gb
        - valkey-flex-250mb
        - valkey-flex-1gb
        - valkey-flex-2.5gb
        - valkey-pro.250mb
        - valkey-pro.1gb
        - valkey-pro.2.5gb
        - valkey-pro.5gb
        - valkey-pro.12gb
        - valkey-pro.25gb
        - valkey-pro.50gb
        - elasticache.cache.r7g.large
        - elasticache.cache.r7g.xlarge
        - elasticache.cache.r7g.2xlarge
        - elasticache.cache.r7g.4xlarge
        - elasticache.cache.r7g.8xlarge
        - elasticache.cache.r7g.12xlarge
        - elasticache.cache.r7g.16xlarge
      title: CacheSize
    FilesystemType:
      type: string
      enum:
        - cloudflare_r2
      title: FilesystemType
    FilesystemStatus:
      type: string
      enum:
        - creating
        - updating
        - available
        - deleting
        - deleted
        - unknown
      title: FilesystemStatus
    FilesystemVisibility:
      type: string
      enum:
        - private
        - public
      title: FilesystemVisibility
    FilesystemJurisdiction:
      type: string
      enum:
        - default
        - eu
      title: FilesystemJurisdiction
    FilesystemKeyResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - filesystemKeys
        id:
          type: string
      required:
        - type
        - id
      title: FilesystemKeyResourceIdentifier
    WebsocketServerResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - websocketServers
        id:
          type: string
      required:
        - type
        - id
      title: WebsocketServerResourceIdentifier
  responses:
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      description: The Bearer Token generated on the Cloud UI.
      scheme: bearer
      bearerFormat: bearer

````